//Author: Brandon Liu (2010)

#ifndef LRT_WINCH_H_
#define LRT_WINCH_H_

#include "SpeedController.h"
#include "SafeCANJaguar.h"

class LRTWinch
{
public:
    LRTWinch(SpeedController& esc);

    void RetractWinch();
    void ReleaseWinch();
    void ApplyOutput();
    float GetCurrent();

private:
    SpeedController& m_esc;
    enum WinchState {kRetracting, kReleasing, kIdle} m_winchState;
};

#endif /* LRT_WINCH_H_ */
